Subject: [netmod] network-wide config (was Re: poll of interest on I-Ds submitted to the NETMOD WG)

From: Andy Bierman <[email-masked]>
Date: Wed, 20 Nov 2013 17:47:15 -0800

Hi,

On Wed, Nov 20, 2013 at 5:23 AM, Martin Bjorklund <[email-masked]> wrote:

> Juergen Schoenwaelder <[email-masked]> wrote:
> > Hi,
> >....
> > [6] http://tools.ietf.org/id/draft-clemm-netmod-mount-01.txt
>
> This document touches the important issue of how to model a
> network-wide system, including the devices in the network.  (We
> actually discussed this issue in a bar bof in Maastricht).  But I
> think the solution described is too implementation-specific, and thus
> limiting for other implementations.
>
>
I ran that Bar BoF and it ended with action items that never got completed.
I think we should get the architecture right before diving into
complicated spot solutions.

I2RS architecture has the concept of a broker (even if the NBI is
not standardized right away).  I think the correct architecture
for NETCONF is to also have a broker.  It should have a NETCONF
or RESTCONF northbound interface and it would be a network-wide
server that supported southbound NETCONF servers in network elements.
YANG may need new features to describe special aspects
of network-wide configuration data models.

I don't think this draft addresses this sort of architecture.
Network-wide data models are not the same as a network device data model
that is a composite of multiple subtrees from various NE server
configurations.

> /martin

Andy